%define major		1.7
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define up_name	Field3D

Name:		field3d
Version:	1.7.3
Release:	%mkrel 8
Summary:	Library for storing voxel data
Group:		System/Libraries
License:	BSD
URL:		https://sites.google.com/site/field3d/
Source0:	https://github.com/imageworks/%{up_name}/archive/v%{version}/%{up_name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	doxygen
BuildRequires:	hdf5-devel
BuildRequires:	boost-devel
BuildRequires:	ilmbase-devel
BuildRequires:  pkgconfig(ompi)

#(eatdirt) let's try without the hard version
#Requires:	hdf5 = #{_hdf5_version}

Requires:       hdf5

%description
Field3D is an open source library for storing voxel data. It provides C++
classes that handle in-memory storage and a file format based on HDF5 that
allows the C++ objects to be written to and read from disk.

#------------------------------------------------

%package -n	%{libname}
Summary:	Library for storing voxel data
Group:		System/Libraries

%description -n	%{libname}
Field3D is an open source library for storing voxel data. It provides C++
classes that handle in-memory storage and a file format based on HDF5 that
allows the C++ objects to be written to and read from disk.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

# Need devel-docs subpackage.

%prep
%autosetup -p1 -n %{up_name}-%{version}

%build
%cmake -DINSTALL_DOCS=OFF

%cmake_build

%install
%cmake_install

install -D -m 0644 man/f3dinfo.1 %{buildroot}%{_mandir}/man1/f3dinfo.1

%check
pushd build
./unitTest

%files
%doc CHANGES README
%license COPYING
%{_bindir}/f3dinfo
%{_mandir}/man1/f3dinfo.1*

%files -n %{libname}
%doc CHANGES README
%license COPYING
%{_libdir}/libField3D.so.%{major}{,.*}

%files -n %{develname}
%doc docs/html/
%{_includedir}/Field3D/
%{_libdir}/libField3D.so


%changelog
* Thu Dec 31 2020 wally <wally> 1.7.3-8.mga8
+ Revision: 1666750
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 1.7.3-7.mga8
+ Revision: 1661992
- rebuild for boost 1.74.0

* Fri Oct 30 2020 daviddavid <daviddavid> 1.7.3-6.mga8
+ Revision: 1640594
- rebuild for new hdf5 1.10.7

* Sat Sep 12 2020 daviddavid <daviddavid> 1.7.3-5.mga8
+ Revision: 1625218
- really rebuild for new openexr 2.5.3

* Sat Sep 12 2020 daviddavid <daviddavid> 1.7.3-4.mga8
+ Revision: 1625030
- rebuild for new openexr 2.5.3

* Fri Sep 04 2020 eatdirt <eatdirt> 1.7.3-3.mga8
+ Revision: 1621783
- Seems that static-devel hdf5 is needed
- Rebuild for new hdf5 and drop versioned requires

* Sun May 03 2020 wally <wally> 1.7.3-2.mga8
+ Revision: 1578046
- rebuild for boost 1.73.0

* Thu Apr 02 2020 daviddavid <daviddavid> 1.7.3-1.mga8
+ Revision: 1564023
- initial package field3d

